# forwarding lan details — NCM API

The settings that control how LAN traffic is forwarded on a device. Full lifecycle: list, create, update and delete forwarding entries. Sits alongside router lans, which reports the layer 3 LANs themselves rather than their forwarding behaviour.

Base URL: https://www.cradlepointecm.com/api/v2

### GET /forwarding_lan_details/

Get information about forwarding_lan_details

Use the GET method on this endpoint to retrieve forwarding_lan_details records. Use the available filtering fields to narrow or broaden your search.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| id | query | integer | no | ID of the forwarding_lan_details record |
| id__in | query | in: int<br />out: url | no | Filter for forwarding_lan_details contains - a comma-separated list of forwarding_lan_details IDs. |
| auto_whitelist | query | boolean | no | Auto whitelist status |
| enabled | query | boolean | no | Enabled status |
| lan | query | in: int out: url | no | The LAN where the traffic is being forwarded |
| lan__in | query | integer | no | Filter for lan contains - a comma-separated list of lan IDs. |
| network_id | query | integer | no | Network ID |
| network_id__in | query | integer | no | Filter for network_id contains - a comma-separated list of network IDs. |
| overlay_network_binding | query | in: int out: url | no | Overlay network ID |
| overlay_network_binding__in | query | integer | no | Filter for overlay_network_binding contains - a comma-separated list of overlay_network_binding IDs. |
| limit | query | integer | no | Restricts the number of records returned in a recordset to this value. Max value is 500. |
| offset | query | integer | no | Specifies where (an index) in a recordset to begin returning records. |

**Example request**

```bash
curl "https://www.cradlepointecm.com/api/v2/forwarding_lan_details/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — No response was specified

### POST /forwarding_lan_details/

Create a forwarding_lan_details record

Use the POST method on this endpoint to create a new forwarding_lan_details record. Include the fields/values to add for the record in the 'Content' field as a JSON object.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |

**Request body**

**Example request**

```bash
curl -X POST "https://www.cradlepointecm.com/api/v2/forwarding_lan_details/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Response 200** — No response was specified

### PUT /forwarding_lan_details/{id}/

Update a forwarding_lan_details record

Use the PUT method on this endpoint to update a forwarding_lan_details record. Include the fields/values to update in the 'Content' field as a JSON object.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| id | path | integer | yes | The ID of the forwarding_lan_details record to PUT |

**Request body**

**Example request**

```bash
curl -X PUT "https://www.cradlepointecm.com/api/v2/forwarding_lan_details/{id}/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Response 200** — No response was specified

### DELETE /forwarding_lan_details/{id}/

Delete a forwarding_lan_details record

Use the DELETE method on this endpoint to delete a forwarding_lan_details record. This method requires the ID of the forwarding_lan_details record to delete. Performing a DELETE action removes the record from NetCloud and can't be reversed.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| id | path | integer | yes | ID of the forwarding_lan_details record to delete |

**Example request**

```bash
curl -X DELETE "https://www.cradlepointecm.com/api/v2/forwarding_lan_details/{id}/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — No response was specified
